Subject: Re: Marvell switch port shows LOWERLAYERDOWN, ping fails

From: Andrew Lunn <[email-masked]>
Date: Sat, 7 Aug 2021 19:44:04 +0200

On Thu, Aug 05, 2021 at 02:44:32PM -0700, Dario Alcocer wrote:
> On 7/28/21 12:37 PM, Dario Alcocer wrote:
> > On 7/28/21 12:24 PM, Andrew Lunn wrote:
> > > Take a look at:
> > > 
> > > https://github.com/lunn/mv88e6xxx_dump/blob/master/mv88e6xxx_dump.c
> > > 
> > 
> > Many thanks for the link; I will build and install it on the target.
> > Hope it will work with the older kernel (5.4.114) we're using.
> 
> I've got a dumb question: is mv88e6xxx_dump intended to be built on the
> target, or do I use a cross compiler?

I've always built it on the target. In order to make kernel
development work easy, i generally use Debian on everything. Sometimes
with a USB stick, or a big MMC card, sometimes NFS root. Once the
kernel works, then i will move to the production environment, which
generally makes a poor development environment, so should be avoided
as much as possible.

It should be possible to cross compile it, since it uses autotools.

   Andrew